const $EventBuses = Java.loadClass("dev.architectury.platform.forge.EventBuses")
const $SlurryDeferredRegister = Java.loadClass("mekanism.common.registration.impl.SlurryDeferredRegister")
const SLURRIES = new $SlurryDeferredRegister("mekanism")
const eventBus = $EventBuses.getModEventBus("kubejs").orElse(null)
const bus = Java.loadClass("net.minecraftforge.eventbus.api.IEventBus")

SLURRIES.register("aluminum", builder => {
    return builder.tint(0xE2D0D0).ore("forge:ores/aluminum")
})
SLURRIES.register("bismuth", builder => {
    return builder.tint(0x6A8A7E).ore("forge:ores/bismuth")
})
SLURRIES.register("nickel", builder => {
    return builder.tint(0x9AA9A3).ore("forge:ores/nickel")
})
SLURRIES.register("silver", builder => {
    return builder.tint(0xE6EEF0).ore("forge:ores/silver")
})
SLURRIES.register("zinc", builder => {
    return builder.tint(0xA5C0A0).ore("forge:ores/zinc")
})

SLURRIES["register(net.minecraftforge.eventbus.api.IEventBus)"](eventBus)